ExclusiveArch:  %{go_arches}
%if 0%{?el8}
%global debug_package %{nil}
%endif
%if 0%{?fc38}
%global debug_package %{nil}
%endif
%if 0%{?fc39}
%global debug_package %{nil}
%endif

Name:           gitea
Version:        1.21.9
Release:        1%{?dist}
Summary:        Gitea: Git with a cup of tea

License:        MIT
URL:            https://gitea.io/en-us/
Source0:        https://github.com/go-gitea/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  git
BuildRequires:  golang
BuildRequires:  nodejs
BuildRequires:  nodejs-npm
BuildRequires:  pam-devel
Requires(pre):  /usr/bin/getent
Requires(pre):  /usr/sbin/useradd
Requires:       git

%description


%prep
%setup -q -n %{name}-%{version}

%build
sed -i -e 's/-s -w //g' Makefile

unset LDFLAGS

make \
  TAGS="bindata pam sqlite sqlite_unlock_notify"\
  DRONE_TAG="%{version}-%{release}" \
  build

sed -i \
  -e 's|^User=.*$|User=gitea|g' \
  -e 's|^Group=.*$|Group=gitea|g' \
  -e 's|^WorkingDirectory=.*$|WorkingDirectory=/var/lib/gitea|g' \
  -e 's|^ExecStart=.*$|ExecStart=%{_bindir}/gitea web /etc/gitea/app.ini|g' \
  -e 's|^Environment=.*$|Environment=USER=gitea HOME=/var/lib/gitea GITEA_WORK_DIR=/var/lib/gitea|g' \
  contrib/systemd/gitea.service


%install
rm -rf %{buildroot}
%{__install} -d %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_sysconfdir}/gitea
%{__install} -d %{buildroot}/usr/lib/systemd/system
%{__install} -d %{buildroot}/var/lib/gitea
%{__install} -d %{buildroot}/var/log/gitea
%{__install} -p -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
%{__install} -p -m 0644 contrib/systemd/gitea.service %{buildroot}/usr/lib/systemd/system/gitea.service


%pre
getent passwd gitea > /dev/null 2>&1 || useradd -r -d /var/lib/gitea -s /bin/bash gitea


%post
if [ -x /usr/bin/systemctl ]
then
  systemctl condrestart gitea
elif [ -x /usr/sbin/service ]
then
  service gitea condrestart
fi

%files
%license LICENSE
%doc CHANGELOG.md
%doc CONTRIBUTING.md
%doc DCO
%doc MAINTAINERS
%doc README.md
%doc README_ZH.md
%doc SECURITY.md
%attr(0700, gitea, gitea) %dir /var/lib/gitea
%attr(0700, gitea, gitea) %dir /var/log/gitea
%{_bindir}/%{name}
%attr(0644, root, root) /usr/lib/systemd/system/gitea.service
%attr(-, gitea, gitea) %config(noreplace) %{_sysconfdir}/gitea


%changelog
* Tue Mar 26 2024 Jason Rothstein
- version bump to 1.21.9

* Tue Mar 26 2024 Jason Rothstein
- version bump to 1.20.6

* Sun Mar 24 2024 Jason Rothstein
- rebuild for Fedora 39
- version bump to 1.19.4
- add new nodejs, npm, git package dependency
- strip -Wl,-z,relro from LDFLAGS because that isn't compatible with Go

* Sat Mar 28 2020 Jason Rothstein
- rebuild for Fedora 32

* Sun Mar 15 2020 Jason Rothstein
- version bump 1.10.6

* Thu Feb 20 2020 Jason Rothstein
- version bump 1.10.4

* Fri Jan 17 2020 Jason Rothstein
- version bump 1.10.3

* Sat Jan  4 2020 Jason Rothstein
- version bump 1.10.2

* Tue Dec 10 2019 Jason Rothstein
- version bump 1.10.1

* Thu Nov 21 2019 Jason Rothstein
- version bump 1.10.0

* Sun Nov 17 2019 Jason Rothstein
- Restart the service it is already running

* Sat Nov 16 2019 Jason Rothstein
- version bump 1.9.6

* Fri Nov  1 2019 Jason Rothstein
- version bump 1.9.5

* Wed Oct  9 2019 Jason Rothstein
- version bump 1.9.4

* Sun Sep 22 2019 Jason Rothstein
- recompile

* Mon Sep 16 2019 Jason Rothstein
- version bump 1.9.3
- enable bindata tag
- use make with DRONE_TAG to include the rpm package version and release data

* Mon Sep 16 2019 Jason Rothstein
- version bump 1.9.2

* Thu Aug 15 2019 Jason Rothstein
- version bump 1.9.1

* Fri Aug  2 2019 Jason Rothstein
- version bump 1.9.0

* Sun Jul 28 2019 Jason Rothstein
- And not use it now because it triggers build failures

* Sun Jul 28 2019 Jason Rothstein
- Use the bindata tag to bundle everything internally

* Sun Jul 28 2019 Jason Rothstein
- Put options into /var/lib/gitea so the locale data is available

* Sun Jul 28 2019 Jason Rothstein
- version bump 1.8.2

* Sun Jul 28 2019 Jason Rothstein
- version bump 1.8.1

* Sun Jul 28 2019 Jason Rothstein
- initial version

